#
# spec file for package sendxmpp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sendxmpp
Version:        1.24
Release:        3.4
Summary:        A perl-script to send xmpp, similar to what mail does for mail
License:        GPL-2.0-only
Group:          Productivity/Networking/Talk/Clients
URL:            https://sendxmpp.hostname.sk/
Source0:        https://github.com/lhost/sendxmpp/archive/v%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(IO::Socket::SSL) >= 0.81
Requires:       perl(Net::XMPP)
BuildArch:      noarch
%{perl_requires}

%description
sendxmpp is a perl-script to send xmpp (jabber), similar to
what mail(1) does for mail.

%prep
%setup -q

%build
perl Makefile.PL
%make_build

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files

%changelog
* Sun Oct 16 2022 Andreas Stieger <andreas.stieger@gmx.de>
- require Perl IO::Socket::SSL (boo#1204339)
* Thu Oct 22 2020 Dirk Stoecker <opensuse@dstoecker.de>
- fix broken url
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.24
  * new config format supported - key: value
- Changes from version 1.23
  * added options --no-tls-verify and --tls-ca-path
- Use download Url as source
- Remove redundant %%clean section
* Mon May 16 2011 chris@computersalat.de
- fix build/deps
  o added BuildReq perl/-macros
* Mon Apr 11 2011 vcizek@novell.com
- Initial package from CVS
